﻿#pragma warning disable 1591
//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace App.Erp.Models
{
	using System.Data.Linq;
	using System.Data.Linq.Mapping;
	using System.Data;
	using System.Collections.Generic;
	using System.Reflection;
	using System.Linq;
	using System.Linq.Expressions;
	using System.ComponentModel;
	using System;
	
	
	[global::System.Data.Linq.Mapping.DatabaseAttribute(Name="hnue_tuyensinh")]
	public partial class KetquaTTDataContext : System.Data.Linq.DataContext
	{
		
		private static System.Data.Linq.Mapping.MappingSource mappingSource = new AttributeMappingSource();
		
    #region Extensibility Method Definitions
    partial void OnCreated();
    #endregion
		
		public KetquaTTDataContext() : 
				base(global::System.Configuration.ConfigurationManager.ConnectionStrings["hnue_tuyensinhConnectionString"].ConnectionString, mappingSource)
		{
			OnCreated();
		}
		
		public KetquaTTDataContext(string connection) : 
				base(connection, mappingSource)
		{
			OnCreated();
		}
		
		public KetquaTTDataContext(System.Data.IDbConnection connection) : 
				base(connection, mappingSource)
		{
			OnCreated();
		}
		
		public KetquaTTDataContext(string connection, System.Data.Linq.Mapping.MappingSource mappingSource) : 
				base(connection, mappingSource)
		{
			OnCreated();
		}
		
		public KetquaTTDataContext(System.Data.IDbConnection connection, System.Data.Linq.Mapping.MappingSource mappingSource) : 
				base(connection, mappingSource)
		{
			OnCreated();
		}
		
		public System.Data.Linq.Table<Hnue_KetquaTT> Hnue_KetquaTTs
		{
			get
			{
				return this.GetTable<Hnue_KetquaTT>();
			}
		}
	}
	
	[global::System.Data.Linq.Mapping.TableAttribute(Name="dbo.Hnue_KetquaTT")]
	public partial class Hnue_KetquaTT
	{
		
		private string _STT;
		
		private string _Hoten;
		
		private string _Gioitinh;
		
		private string _Ngaysinh;
		
		private string _SoCMT;
		
		private string _NganhDK;
		
		private string _UutienTT;
		
		private string _Tongdiem;
		
		private string _Ketqua;
		
		private string _UutienBL;
		
		private string _Chungchi;
		
		private string _DiemCC;
		
		private string _GiaiHSG;
		
		private string _Mongiai;
		
		private string _UutienDT;
		
		private string _UutienKV;
		
		private string _Tohopxettuyen;
		
		private string _HK;
		
		private string _HL;
		
		public Hnue_KetquaTT()
		{
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_STT", DbType="NChar(10)")]
		public string STT
		{
			get
			{
				return this._STT;
			}
			set
			{
				if ((this._STT != value))
				{
					this._STT = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Hoten", DbType="NVarChar(50)")]
		public string Hoten
		{
			get
			{
				return this._Hoten;
			}
			set
			{
				if ((this._Hoten != value))
				{
					this._Hoten = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Gioitinh", DbType="NChar(10)")]
		public string Gioitinh
		{
			get
			{
				return this._Gioitinh;
			}
			set
			{
				if ((this._Gioitinh != value))
				{
					this._Gioitinh = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Ngaysinh", DbType="NVarChar(50)")]
		public string Ngaysinh
		{
			get
			{
				return this._Ngaysinh;
			}
			set
			{
				if ((this._Ngaysinh != value))
				{
					this._Ngaysinh = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_SoCMT", DbType="NVarChar(50)")]
		public string SoCMT
		{
			get
			{
				return this._SoCMT;
			}
			set
			{
				if ((this._SoCMT != value))
				{
					this._SoCMT = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_NganhDK", DbType="NVarChar(50)")]
		public string NganhDK
		{
			get
			{
				return this._NganhDK;
			}
			set
			{
				if ((this._NganhDK != value))
				{
					this._NganhDK = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_UutienTT", DbType="NChar(10)")]
		public string UutienTT
		{
			get
			{
				return this._UutienTT;
			}
			set
			{
				if ((this._UutienTT != value))
				{
					this._UutienTT = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Tongdiem", DbType="NChar(10)")]
		public string Tongdiem
		{
			get
			{
				return this._Tongdiem;
			}
			set
			{
				if ((this._Tongdiem != value))
				{
					this._Tongdiem = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Ketqua", DbType="NChar(10)")]
		public string Ketqua
		{
			get
			{
				return this._Ketqua;
			}
			set
			{
				if ((this._Ketqua != value))
				{
					this._Ketqua = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_UutienBL", DbType="NVarChar(50)")]
		public string UutienBL
		{
			get
			{
				return this._UutienBL;
			}
			set
			{
				if ((this._UutienBL != value))
				{
					this._UutienBL = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Chungchi", DbType="NVarChar(50)")]
		public string Chungchi
		{
			get
			{
				return this._Chungchi;
			}
			set
			{
				if ((this._Chungchi != value))
				{
					this._Chungchi = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_DiemCC", DbType="NChar(10)")]
		public string DiemCC
		{
			get
			{
				return this._DiemCC;
			}
			set
			{
				if ((this._DiemCC != value))
				{
					this._DiemCC = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_GiaiHSG", DbType="NVarChar(50)")]
		public string GiaiHSG
		{
			get
			{
				return this._GiaiHSG;
			}
			set
			{
				if ((this._GiaiHSG != value))
				{
					this._GiaiHSG = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Mongiai", DbType="NVarChar(50)")]
		public string Mongiai
		{
			get
			{
				return this._Mongiai;
			}
			set
			{
				if ((this._Mongiai != value))
				{
					this._Mongiai = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_UutienDT", DbType="NChar(10)")]
		public string UutienDT
		{
			get
			{
				return this._UutienDT;
			}
			set
			{
				if ((this._UutienDT != value))
				{
					this._UutienDT = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_UutienKV", DbType="NChar(10)")]
		public string UutienKV
		{
			get
			{
				return this._UutienKV;
			}
			set
			{
				if ((this._UutienKV != value))
				{
					this._UutienKV = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Tohopxettuyen", DbType="NVarChar(50)")]
		public string Tohopxettuyen
		{
			get
			{
				return this._Tohopxettuyen;
			}
			set
			{
				if ((this._Tohopxettuyen != value))
				{
					this._Tohopxettuyen = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_HK", DbType="NChar(10)")]
		public string HK
		{
			get
			{
				return this._HK;
			}
			set
			{
				if ((this._HK != value))
				{
					this._HK = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_HL", DbType="NChar(10)")]
		public string HL
		{
			get
			{
				return this._HL;
			}
			set
			{
				if ((this._HL != value))
				{
					this._HL = value;
				}
			}
		}
	}
}
#pragma warning restore 1591
